获取运行日志
方法: GET
端点: /api/v2/worker-runs/{runId}/log
认证: 支持 Authorization: Bearer <YOUR_API_KEY>、api-key: <YOUR_API_KEY> 和 ?token=<YOUR_API_KEY>。推荐优先使用 Bearer token。
GET
/api/v2/worker-runs/{runId}/logGet worker run logAuthenticationRequired
Stored only in this browser tab. Sent only to https://openapi.coreclaw.com.
Parameters
Required
Run slug returned as `data.run_slug` from start or rerun responses.
Request BodyNot applicable
No JSON request body. Fill the path or query parameters above.
什么时候使用这个接口
Section titled “什么时候使用这个接口”用于读取运行日志,排查运行状态和错误。
runId是运行记录 slug。启动或重跑后的data.run_slug就是后续接口使用的runId。
| 参数 | 必填 | 类型 | 说明 |
|---|---|---|---|
runId | 是 | string | 运行记录 slug,即启动或重跑响应中的 data.run_slug。 |
curl -X GET "https://openapi.coreclaw.com/api/v2/worker-runs/YOUR_RUN_ID/log" \ -H "Authorization: Bearer YOUR_API_KEY"{ "code": 0, "data": { "all_logs_url": "https://storage.example.com/runs/01KKDXV2G26BT7NH4ZQR2R4NPZ/logs.txt", "list": [ "Run started", "Run finished" ], "result_count": 1 }, "message": "success", "request_id": "req-123"}- API v2 同时支持 Bearer token、旧版
api-key请求头和 query token;新集成建议优先使用 Bearer token。
HTTP 响应
Section titled “HTTP 响应”| HTTP 状态 | 应用代码 | 含义 |
|---|---|---|
200 | 0 | 请求成功。 |
400 | 11000 | 请求参数不合法。 |
401 | 12001 | 认证缺失或无效。 |
404 | 11004 | 目标资源不存在。 |
422 | 11000 | 请求语义或字段校验未通过。 |
429 | 13000 | 请求过于频繁。 |
500 | 10000 | 服务端内部错误。 |